#castle west mark of water
from eventAPI import *
from APIUtils import *

rtkeep1Water = 0

def fireEvent(e):
   global rtkeep1Water
   rtkeep1Water = getTag(e, "rtkeep1Water")
   if (rtkeep1Water > 0):
      return 1
   else:
      if (poseYesNo(e, ["The symbol on the wall here is glowing.", "", "Will you touch the Symbol of Water?"])):
         giveMark(e)
   if (rtkeep1Water != 0):
      return 1
   else:
      return 0

def giveMark(e):
   global rtkeep1Water      
   rtkeep1Water = 1
   setTag(e, "rtkeep1Water", rtkeep1Water)
   showMessage(e, ["You feel the warmth being drained from your body and you drop to your knees."], optionInput)
   showMessage(e, ["When you recover, you notice that the symbol is no longer glowing."], optionInput)
   partyIdx = 0
   while (partyIdx < getPartyCount(e)):
      modifyHP(e, partyIdx, -30)
      partyIdx += 1
   return 1

